Board index FlightGear Support Installation Mac

fgfs (not the launcher, or atlas) fails to launch.

Installing FlightGear, scenery, aircraft etc. on Mac.

fgfs (not the launcher, or atlas) fails to launch.

Postby Armchair Ace » Wed Aug 17, 2011 8:01 am

The error message that gets left when I try to launch fgfs (both June GIT snapshot, 2.4.0RC1 and 2.4.0 proper - I don't think this has anything to do with version number, though) :

Code: Select all
./fgfs: No data loaded


System Specs :

Code: Select all
  Model Name:   MacBook Pro
  Model Identifier:   MacBookPro5,5
  Processor Name:   Intel Core 2 Duo
  Processor Speed:   2.26 GHz
  Number Of Processors:   1
  Total Number Of Cores:   2

  Chipset Model:   NVIDIA GeForce 9400M
  Type:   Display
  Bus:   PCI
  VRAM (Total):   256 MB
  Vendor:   NVIDIA (0x10de)


I'm assuming this is something to do with the file Users/<myusername>/.fgfs - however, the files that are usually there are there, so I don't think anything is missing.
Member of the FlightGear Flying Club

Current Projects :
Miscellaneous texture and sound work

Have returned to the forums in a limited capacity - if you'd like to contact me I recommend IRC
User avatar
Armchair Ace
 
Posts: 1383
Joined: Sun Sep 27, 2009 7:48 pm
Location: EGPD/RJSA
Callsign: G-ATPF
IRC name: ArmchairAce
OS: Mac OSX 10.8

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby tat » Wed Aug 17, 2011 5:54 pm

Thanks for the report.

Could you tell me what is the version of OS X are you using?

./fgfs: No data loaded


This occurs when a needed library cannot be loaded.

Tat
Tat Nishioka
FlightGear Mac OS X Project
http://macflightgear.sourceforge.net
User avatar
tat
 
Posts: 176
Joined: Fri Dec 28, 2007 12:58 pm
Location: Yokohama, Japan
Callsign: tat

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby Armchair Ace » Wed Aug 17, 2011 7:47 pm

I run Mac OSX 10.5.8 - the laptop was made in 2009, if that also helps.
Member of the FlightGear Flying Club

Current Projects :
Miscellaneous texture and sound work

Have returned to the forums in a limited capacity - if you'd like to contact me I recommend IRC
User avatar
Armchair Ace
 
Posts: 1383
Joined: Sun Sep 27, 2009 7:48 pm
Location: EGPD/RJSA
Callsign: G-ATPF
IRC name: ArmchairAce
OS: Mac OSX 10.8

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby DutchPilotMitchell » Thu Aug 18, 2011 10:05 am

I wonder, why don't you upgrade to lion or snow leopard instead of that very old version?
Proud to be Dutch.
User avatar
DutchPilotMitchell
 
Posts: 719
Joined: Tue Feb 15, 2011 9:10 pm
Location: The Netherlands
Callsign: mitchel
Version: 22
OS: Mac OS X

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby Armchair Ace » Thu Aug 18, 2011 12:39 pm

Wow! You're the most helpful person I know with the most helpful piece of advice on this whole thread!

Moron.
Member of the FlightGear Flying Club

Current Projects :
Miscellaneous texture and sound work

Have returned to the forums in a limited capacity - if you'd like to contact me I recommend IRC
User avatar
Armchair Ace
 
Posts: 1383
Joined: Sun Sep 27, 2009 7:48 pm
Location: EGPD/RJSA
Callsign: G-ATPF
IRC name: ArmchairAce
OS: Mac OSX 10.8

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby tat » Thu Aug 18, 2011 5:16 pm

Armchair Ace wrote on Wed Aug 17, 2011 7:47 pm:I run Mac OSX 10.5.8 - the laptop was made in 2009, if that also helps.


I tested FlightGear 2.4 on OS X 10.5.8 (MacBook Pro late 2006), and fgfs works as expected.
So this has nothing to do with OS X version, but has something to do with your local environment.

If you are familiar with Terminal.app, please try the following commands from Terminal.

cd /Applications/FlightGear.app/Contents/Resources
otool -L fgfs

Posting the result here would be very helpful.

Best

Tat
Tat Nishioka
FlightGear Mac OS X Project
http://macflightgear.sourceforge.net
User avatar
tat
 
Posts: 176
Joined: Fri Dec 28, 2007 12:58 pm
Location: Yokohama, Japan
Callsign: tat

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby Armchair Ace » Thu Aug 18, 2011 11:20 pm

Here are the results of putting your commands into terminal :

Code: Select all
fgfs:
   /System/Library/Frameworks/OpenAL.framework/Versions/A/OpenAL (compatibility version 1.0.0, current version 1.0.0)
   @executable_path/../Frameworks/ALUT.framework/Versions/A/ALUT (compatibility version 1.0.0, current version 1.0.0)
   @executable_path/../Frameworks/PLIB.framework/Versions/A/PLIB (compatibility version 1.8.5, current version 1.8.5)
   @executable_path/../Frameworks/osgViewer.framework/Versions/80/osgViewer (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osgGA.framework/Versions/80/osgGA (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osgText.framework/Versions/80/osgText (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osgFX.framework/Versions/80/osgFX (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osgUtil.framework/Versions/80/osgUtil (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osgDB.framework/Versions/80/osgDB (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osgSim.framework/Versions/80/osgSim (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osgParticle.framework/Versions/80/osgParticle (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/osg.framework/Versions/80/osg (compatibility version 80.0.0, current version 3.0.1)
   @executable_path/../Frameworks/OpenThreads.framework/Versions/12/OpenThreads (compatibility version 12.0.0, current version 2.6.0)
   /usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.3)
   /System/Library/Frameworks/GLUT.framework/Versions/A/GLUT (compatibility version 1.0.0, current version 1.0.0)
   /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL (compatibility version 1.0.0, current version 1.0.0)
   /System/Library/Frameworks/AGL.framework/Versions/A/AGL (compatibility version 1.0.0, current version 1.0.0)
   /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa (compatibility version 1.0.0, current version 12.0.0)
   /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)
   /usr/lib/libsvn_ra-1.0.dylib (compatibility version 1.0.0, current version 1.0.0)
   /usr/lib/libsvn_subr-1.0.dylib (compatibility version 1.0.0, current version 1.0.0)
   /usr/lib/libsvn_client-1.0.dylib (compatibility version 1.0.0, current version 1.0.0)
   /usr/lib/libapr-1.0.dylib (compatibility version 3.0.0, current version 3.7.0)
   /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation (compatibility version 150.0.0, current version 476.19.0)
   /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 7.4.0)
   /usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current version 1.0.0)
   /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 111.1.4)
Member of the FlightGear Flying Club

Current Projects :
Miscellaneous texture and sound work

Have returned to the forums in a limited capacity - if you'd like to contact me I recommend IRC
User avatar
Armchair Ace
 
Posts: 1383
Joined: Sun Sep 27, 2009 7:48 pm
Location: EGPD/RJSA
Callsign: G-ATPF
IRC name: ArmchairAce
OS: Mac OSX 10.8

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby tat » Fri Aug 19, 2011 12:59 am

Hmmm, library paths look OK to me.

Then please try these commands (you can copy & paste these)
Code: Select all
  cd /Applications/FlightGear.app/Contents/Resources
  export FG_SCENERY="$PWD/data/Scenery:$PWD/data/Scenery-Terrasync"
  export FG_ROOT="$PWD/data"
  DYLD_PRINT_LIBRARIES=1 DYLD_LIBRARY_PATH="$PWD/plugins" LD_LIBRARY_PATH="$PWD/plugins" ./fgfs --terrasync-dir="$PWD/data/Scenery-Terrasync"


DYLD_PRINT_LIBRARIES=1 will show you what library is loaded. you'll see some error when a library is unable to be loaded.
Tat Nishioka
FlightGear Mac OS X Project
http://macflightgear.sourceforge.net
User avatar
tat
 
Posts: 176
Joined: Fri Dec 28, 2007 12:58 pm
Location: Yokohama, Japan
Callsign: tat

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby Armchair Ace » Fri Aug 19, 2011 1:55 am

The results :

Code: Select all
DYLD_PRINT_LIBRARIES=1 DYLD_LIBRARY_PATH="$PWD/plugins" LD_LIBRARY_PATH="$PWD/plugins" ./fgfs --terrasync-dir="$PWD/data/Scenery-Terrasync"
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./fgfs
dyld: loaded: /System/Library/Frameworks/OpenAL.framework/Versions/A/OpenAL
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/ALUT.framework/Versions/A/ALUT
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/PLIB.framework/Versions/A/PLIB
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgViewer.framework/Versions/80/osgViewer
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgGA.framework/Versions/80/osgGA
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgText.framework/Versions/80/osgText
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgFX.framework/Versions/80/osgFX
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgUtil.framework/Versions/80/osgUtil
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgDB.framework/Versions/80/osgDB
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgSim.framework/Versions/80/osgSim
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osgParticle.framework/Versions/80/osgParticle
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/osg.framework/Versions/80/osg
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/./../Frameworks/OpenThreads.framework/Versions/12/OpenThreads
dyld: loaded: /usr/lib/libz.1.dylib
dyld: loaded: /System/Library/Frameworks/GLUT.framework/Versions/A/GLUT
dyld: loaded: /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
dyld: loaded: /System/Library/Frameworks/AGL.framework/Versions/A/AGL
dyld: loaded: /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
dyld: loaded: /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
dyld: loaded: /usr/lib/libsvn_ra-1.0.dylib
dyld: loaded: /usr/lib/libsvn_subr-1.0.dylib
dyld: loaded: /usr/lib/libsvn_client-1.0.dylib
dyld: loaded: /usr/lib/libapr-1.0.dylib
dyld: loaded: /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
dyld: loaded: /usr/lib/libstdc++.6.dylib
dyld: loaded: /usr/lib/libgcc_s.1.dylib
dyld: loaded: /usr/lib/libSystem.B.dylib
dyld: loaded: /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
dyld: loaded: /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
dyld: loaded: /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
dyld: loaded: /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
dyld: loaded: /usr/lib/libicucore.A.dylib
dyld: loaded: /usr/lib/libobjc.A.dylib
dyld: loaded: /usr/lib/libauto.dylib
dyld: loaded: /usr/lib/system/libmathCommon.A.dylib
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
dyld: loaded: /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
dyld: loaded: /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
dyld: loaded: /usr/lib/libbsm.dylib
dyld: loaded: /System/Library/Frameworks/Security.framework/Versions/A/Security
dyld: loaded: /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
dyld: loaded: /usr/lib/libsqlite3.0.dylib
dyld: loaded: /usr/lib/libresolv.9.dylib
dyld: loaded: /usr/lib/libxml2.2.dylib
dyld: loaded: /usr/lib/libxslt.1.dylib
dyld: loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
dyld: loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
dyld: loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
dyld: loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
dyld: loaded: /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
dyld: loaded: /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
dyld: loaded: /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
dyld: loaded: /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
dyld: loaded: /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
dyld: loaded: /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
dyld: loaded: /usr/lib/libcrypto.0.9.7.dylib
dyld: loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
dyld: loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
dyld: loaded: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
dyld: loaded: /usr/lib/libcups.2.dylib
dyld: loaded: /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
dyld: loaded: /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
dyld: loaded: /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
dyld: loaded: /usr/lib/libffi.dylib
dyld: loaded: /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
dyld: loaded: /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
dyld: loaded: /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
dyld: loaded: /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
dyld: loaded: /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
dyld: loaded: /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
dyld: loaded: /System/Library/PrivateFrameworks/CoreMedia.framework/Versions/A/CoreMedia
dyld: loaded: /System/Library/PrivateFrameworks/MediaToolbox.framework/Versions/A/MediaToolbox
dyld: loaded: /System/Library/PrivateFrameworks/VideoToolbox.framework/Versions/A/VideoToolbox
dyld: loaded: /System/Library/PrivateFrameworks/CoreMediaIOServices.framework/Versions/A/CoreMediaIOServices
dyld: loaded: /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
dyld: loaded: /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
dyld: loaded: /usr/lib/libsvn_ra_local-1.0.dylib
dyld: loaded: /usr/lib/libsvn_repos-1.0.dylib
dyld: loaded: /usr/lib/libsvn_fs-1.0.dylib
dyld: loaded: /usr/lib/libsvn_fs_fs-1.0.dylib
dyld: loaded: /usr/lib/libsvn_delta-1.0.dylib
dyld: loaded: /usr/lib/libaprutil-1.0.dylib
dyld: loaded: /usr/lib/libsvn_ra_svn-1.0.dylib
dyld: loaded: /usr/lib/libsvn_ra_dav-1.0.dylib
dyld: loaded: /usr/lib/libneon.26.dylib
dyld: loaded: /usr/lib/libssl.0.9.7.dylib
dyld: loaded: /usr/lib/libexpat.1.dylib
dyld: loaded: /usr/lib/libiconv.2.dylib
dyld: loaded: /usr/lib/libsvn_wc-1.0.dylib
dyld: loaded: /usr/lib/libsvn_diff-1.0.dylib
Processing command line arguments
dyld: loaded: /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
dyld: loaded: /System/Library/Extensions/GeForce8xxxGLDriver.bundle/Contents/MacOS/GeForce8xxxGLDriver
dyld: loaded: /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
dyld: loaded: /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
dyld: loaded: /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
GraphicsWindowCarbon::grabFocusIfPointerInWindow: not implemented
dyld: loaded: /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
dyld: loaded: /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_imageio.so
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_txf.so
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_rgb.so
dyld: loaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_ac.so
KI266 dme indicator #0 initialized
loading scenario 'nimitz_demo'
dyld: loaded: /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
dyld: loaded: /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
dyld: loaded: /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
creating 3D noise texture... DONE
Initializing Nasal Electrical System
osgDB ac3d reader: could not parse texture coords while reading object "Mesh1 Component_1_1 M" setting to (0,0)
osgDB ac3d reader: could not parse texture coords while reading object "Mesh2 Component_1_2 M" setting to (0,0)
osgDB ac3d reader: could not parse texture coords while reading object "Mesh3 Component_1_3 M" setting to (0,0)
osgDB ac3d reader: could not parse texture coords while reading object "Mesh4 Component_1_4 M" setting to (0,0)
osgDB ac3d reader: could not parse texture coords while reading object "Mesh5 Component_1_5 M" setting to (0,0)
osgDB ac3d reader: could not parse texture coords while reading object "Mesh6 Component_1_6 M" setting to (0,0)
osgDB ac3d reader: could not parse texture coords while reading object "Mesh7 Component_1_7 M" setting to (0,0)
power up
dyld: unloaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_imageio.so
dyld: unloaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_txf.so
dyld: unloaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_rgb.so
dyld: unloaded: /Applications/FlightGear.app/Contents/Resources/plugins/osgdb_ac.so



Do also note that FlightGear (or rather, fgfs on it's own) launched when I put those commands into terminal. It launched in the default configuration - C172P right in the middle of KSFO.
Member of the FlightGear Flying Club

Current Projects :
Miscellaneous texture and sound work

Have returned to the forums in a limited capacity - if you'd like to contact me I recommend IRC
User avatar
Armchair Ace
 
Posts: 1383
Joined: Sun Sep 27, 2009 7:48 pm
Location: EGPD/RJSA
Callsign: G-ATPF
IRC name: ArmchairAce
OS: Mac OSX 10.8

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby tat » Fri Aug 19, 2011 2:18 am

So it launched from terminal. That's a good sign.
Now I'm wounding what swith or options passed to fgfs.

You can test it by the following commands
Code: Select all
cd /Applications/FlightGear.app/Contents/MacOS/
./FlightGear


this will launch the GUI launcher, so just press "start flight."
then the terminal shows you the command line options like:

starting fgfs.sh with --aircraft=A6M2 --airport=RJTT ....


Letting me know what you get.
I'll try reproducing your problem.

Tat
Tat Nishioka
FlightGear Mac OS X Project
http://macflightgear.sourceforge.net
User avatar
tat
 
Posts: 176
Joined: Fri Dec 28, 2007 12:58 pm
Location: Yokohama, Japan
Callsign: tat

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby Armchair Ace » Fri Aug 19, 2011 9:15 am

Okay, here are the results :

Code: Select all
Alpha:~ Tom$ cd /Applications/FlightGear.app/Contents/MacOS/
Alpha:MacOS Tom$ ./FlightGear
2011-08-19 10:13:43.864 FlightGear[2696:10b] *** _NSAutoreleaseNoPool(): Object 0x2096c0 of class NSThread autoreleased with no pool in place - just leaking
Stack: (0x944acf4f 0x943b9432 0x943bf1a4)

Starting Atlas with --fg-root=./data --fg-scenery=./data/Scenery-TerraSync --palette=./data/Atlas/Palettes/default.ap --udp=5050 --atlas=./data/Atlas --autocenter-mode
shell: current dir: /Applications/FlightGear.app/Contents/Resources
Starting fgcom with -Sfgcom.flightgear.org.uk
shell: current dir: /Applications/FlightGear.app/Contents/Resources
Starting fgfs.sh with --control=mouse --timeofday=afternoon --multiplay=in,10,192.168.10.52,5000 --generic=socket,out,1,127.0.0.1,16661,udp,fgcom --callsign=G-ATPF --multiplay=out,10,mpserver02.flightgear.org,5000 --turbulence=0.05 --disable-clouds --disable-hud --disable-clouds3d --disable-real-weather-fetch --disable-clock-freeze --disable-sound --disable-panel --enable-hud-3d --disable-random-objects --fgviewer --airport=KNUQ --nmea=socket,out,1,localhost,5050,udp --enable-terrasync --prop:/sim/terrasync/refresh-display=true --browser-app=open --disable-textures --geometry=640x480 --fog-disable --shading-flat
shell: current dir: /Applications/FlightGear.app/Contents/Resources
dyld: unknown required load command 0x80000022
Exiting fgfs.sh
Exiting fgcom
No matching processes belonging to you were found
Exiting Atlas









Member of the FlightGear Flying Club

Current Projects :
Miscellaneous texture and sound work

Have returned to the forums in a limited capacity - if you'd like to contact me I recommend IRC
User avatar
Armchair Ace
 
Posts: 1383
Joined: Sun Sep 27, 2009 7:48 pm
Location: EGPD/RJSA
Callsign: G-ATPF
IRC name: ArmchairAce
OS: Mac OSX 10.8

Re: fgfs (not the launcher, or atlas) fails to launch.

Postby tat » Fri Aug 19, 2011 5:02 pm

Wow, you're kind of testing the limitation of command-line options :-p

Okay, I found the cause of this one.
dyld: unknown required load command 0x80000022


A part of fgcom objects seem to be built for 10.6. or later.
Now I rebuilt the fgcom and it works fine on 10.5.8.
I'll make a new binary package some time later but it may take time, so I made a fgcom so you can update via the GUI launcher.

Here is the link for the fixed one:
http://macflightgear.sourceforge.net/wp ... .4.0/fgcom

To install this, select Advanced Features >> Others >> Install Add-on data on the GUI launcher, and choose a new fgcom.
Tat Nishioka
FlightGear Mac OS X Project
http://macflightgear.sourceforge.net
User avatar
tat
 
Posts: 176
Joined: Fri Dec 28, 2007 12:58 pm
Location: Yokohama, Japan
Callsign: tat


Return to Mac

Who is online

Users browsing this forum: No registered users and 2 guests